Update libpurple up to 2.4.2

RESOLVED FIXED in 0.1.2

Status

Chat Core
General
P3
normal
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Instantbot, Assigned: florian)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

4 years ago
*** Original post on bio 28 by V. Kamerrer <nayklost AT gmail.com> at 2007-10-26 15:28:00 UTC ***

InstantBird 0.1 (IB) based upon libpurple 2.2.1, several days ago Pidgin devs released Pudgin 2.2.2 (and libpurple 2.2.2).
While most of changes affect only Pidgin, there is some small fixes for libpurple protocols: 
MySpace ( http://developer.pidgin.im/ticket/3064 )
Groupwise (http://developer.pidgin.im/ticket/1053 )
SIMPLE ( http://developer.pidgin.im/ticket/1914 , http://developer.pidgin.im/ticket/3507 )
...Maybe other.
(Reporter)

Updated

4 years ago
(Assignee)

Comment 1

4 years ago
*** Original post on bio 28 at 2007-11-05 00:20:03 UTC ***

I'm not sure yet whether we want this upgrade or if we are going to wait for a version with the new msn prpl.
OS: Windows XP → All
Hardware: x86 → All
(Reporter)

Comment 2

4 years ago
*** Original post on bio 28 by V. Kamerrer <nayklost AT gmail.com> at 2007-11-26 21:42:09 UTC ***

Pidgin 2.3.0 (and libpurple 2.3.0) now released, contains bugfixes for non-released 2.2.3 and some of 2.3.1
(Assignee)

Comment 3

4 years ago
*** Original post on bio 28 at 2007-11-26 22:49:46 UTC ***

(In reply to comment #2)
> Pidgin 2.3.0 (and libpurple 2.3.0) now released, contains bugfixes for
> non-released 2.2.3 and some of 2.3.1
> 

I've just read the API ChangeLog. The disconnect reason part seems interesting.
And there are 2 or 3 bugfixes that we would be happy to have.

We should probably try to update it to see how many things got broken this time.
I remember the last minute update to libpurple 2.2.1 before we tried to release Instantbird 0.1 which broke MSN and GTalk (because of the certificate search path which was broken for us: http://developer.pidgin.im/ticket/3634 )
Status: UNCONFIRMED → NEW
Ever confirmed: true
Summary: Update libpurple up to 2.2.2 → Update libpurple up to 2.3.0
Target Milestone: --- → 0.1.1
Version: trunk → 0.1
(Assignee)

Comment 4

4 years ago
*** Original post on bio 28 at 2008-03-07 21:39:43 UTC ***

I think we want to update to libpurple 2.4.0 for Instantbird 0.1.2.
Summary: Update libpurple up to 2.3.0 → Update libpurple up to 2.4.0
Target Milestone: 0.1.1 → 0.1.2
Version: 0.1 → trunk
(Assignee)

Comment 5

4 years ago
*** Original post on bio 28 at 2008-06-07 22:23:34 UTC ***

Fixed. I also added in the repository a script that will help for the next upgrade.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Summary: Update libpurple up to 2.4.0 → Update libpurple up to 2.4.2
You need to log in before you can comment on or make changes to this bug.